aboutsummaryrefslogtreecommitdiff
path: root/dev
diff options
context:
space:
mode:
Diffstat (limited to 'dev')
-rwxr-xr-xdev33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev b/dev
new file mode 100755
index 0000000..b7eddfe
--- /dev/null
+++ b/dev
@@ -0,0 +1,33 @@
+#!/usr/bin/env bash
+cd "$(dirname $0)"
+CMD="$1"
+PROJECT="cooking"
+
+if [ "$CMD" = "start" ]; then
+
+ nix-shell --run "tmuxinator local"
+
+elif [ "$CMD" = "stop" ]; then
+
+ nix-shell --run "tmux kill-session -t $PROJECT"
+
+elif [ "$CMD" = "watch-ts" ]; then
+
+ tsc \
+ --watch \
+ --pretty \
+ --sourceMap \
+ --removeComments \
+ --strict \
+ --noUnusedLocals \
+ --noUnusedParameters \
+ --noImplicitReturns \
+ --outDir static \
+ main.ts
+
+else
+
+ echo "Usage: $0 start|stop|watch-ts"
+ exit 1
+
+fi